{"swagger":"2.0","info":{"title":"XLS REST API - ALB Store API","description":"This document specifies XLS Merchant API\n","termsOfService":"http://www.welcome-rt.com/terms/","contact":{"name":"Welcome Real-time","url":"http://www.welcome-rt.com","email":"no-reply@welcome-rt.fr"},"license":{"name":"2017 - Welcome Real-time","url":"http://www.welcome-rt.com/about-us/overview/"},"version":"1.2"},"host":"store-api.wrtloyalty.com","basePath":"/xls-rest-api","schemes":["https"],"consumes":["application/json"],"produces":["application/json"],"tags":[{"name":"Store"},{"name":"Offer"},{"name":"Campaign"}],"securityDefinitions":{"oauth":{"type":"oauth2","flow":"implicit","authorizationUrl":"https://192.168.60.201:3434/oauth/authorize/?client_id=CLIENT-ID&redirect_uri=REDIRECT-URI&response_type=token","scopes":{"Store":"Read"},"description":"Authentication by token\n"}},"security":[{"oauth":["Store"]}],"parameters":{"StoreId-Path":{"name":"storeId","in":"path","description":"Store ID","type":"integer","format":"int32","required":true},"Page-Query":{"name":"page","in":"query","description":"Which page to return.\nThe default page index is set to 1.\nThis default value is used when the parameter is not provided in the query.\n","type":"integer","format":"int32","default":1,"required":false},"Limit-Query":{"name":"limit","in":"query","description":"Number of maximum results per page.\nThe default page size is set to 20 records with a maximum of 100.\nAs there is a default page size, the query can just specify the page\nindex.\n","type":"integer","format":"int32","default":20,"required":false},"StoreExpand-Query":{"name":"expand","in":"query","description":"Expand the resource information. More than 1 value can be used excluding **All** and **None**.</br>\nPossible values:\n  - None\n  - All\n","type":"string","enum":["None","All"],"default":"All","required":false},"OfferExpand-Query":{"name":"expand","in":"query","description":"Expand the resource information. More than 1 value can be used excluding **All** and **None**.</br>\nPossible values:\n  - None\n  - OfferCategories\n  - OfferChannels\n  - OfferSegmentationAttributes\n  - OfferDescriptionLocalizations\n  - All\n","type":"string","enum":["None","OfferCategories","OfferChannels","OfferSegmentationAttributes","OfferDescriptionLocalizations","All"],"default":"All","required":false},"CampaignExpand-Query":{"name":"expand","in":"query","description":"Expand the resource information. More than 1 value can be used excluding **All** and **None**.</br>\nPossible values:\n  - None\n  - All\n","type":"string","enum":["None","All"],"default":"All","required":false},"StoreId-Query":{"name":"storeId","in":"query","description":"Store unique identifier","type":"integer","format":"int32","required":false},"PoolId-Query":{"name":"poolId","in":"query","description":"Unique pool identifier","type":"integer","format":"int32","required":false},"GeoLocation-Query":{"name":"location","in":"query","description":"Geolocation information in the following format\n\n{latitude},{longitude},{accuracy}\n\nWhere Accuracy is the radius around the Geolocation point defined by the\ngiven latitude and longitude. Accuracy is always provided in meters.\n\nIf accuracy is not provided, the default value (2000 meters) will be used\nby the lookup process\n\nExample \"location=43.4777,5.374174,1000\"\n","type":"string","format":"latitude,longitude,accuracy","required":false},"StoreNumber-Query":{"name":"storeNumber","in":"query","description":"store number as defined in XLS.\n","type":"string","format":"alphanumeric","minLength":1,"maxLength":15,"required":false},"LastUpdateDateFilters-Query":{"name":"lastUpdateDate.filters","in":"query","description":"Filter a list of resources with specific last update date query.\nFormat of the last update data query value: **{filterType}.{date}**. All 2 parts are mandatory. Invalid values are ignored for filtering.\nWhere:\n  - *filterType* can be one of the following values:\n    - **After** - Filter resources with last update date after a given reference date.\n    - **Before** - Filter resources with last update date before a given reference date.\n  - *date* - reference date in ISO8601 format YYYY-MM-DD\n\nExample: *lastUpdateDate.filters=After.2017-11-30*\n","type":"string","format":"filterType.date","required":false},"OfferId-Query":{"name":"offerId","in":"query","description":"Offer unique identifier","type":"integer","format":"int32","required":false},"CampaignId-Query":{"name":"campaignId","in":"query","description":"Campaign unique identifier","type":"integer","format":"int32","required":false},"CampaignDriverType-Query":{"name":"campaignDriverType","in":"query","description":"Campaign driver type \nPossible value are listed below:\n- Amount\n- Birthday\n- Event day\n- Generic\n- Frequency\n- Item\n- Lucky\n- Recency\n- Recurring day\n- Welcome\n","type":"string","enum":["Amount","Birthday","Event day","Generic","Frequency","Item","Lucky","Recency","Recurring day","Welcome"],"default":"All","required":false},"CampaignBenefitType-Query":{"name":"campaignBenefitType","in":"query","description":"Campaign benefit type \nPossible value are listed below:\n- Award\n- Discount\n","type":"string","enum":["Award","Discount"],"default":"All","required":false},"OfferType-Query":{"name":"offerType","in":"query","description":"Offer type. Default - All. Possible values are lised below (More than 1 value can be used).\nPossible value are listed below:\n- All\n- Item\n- Voucher\n","type":"string","enum":["All","Item","Voucher"],"default":"All","required":false},"AccountId-Query":{"name":"accountId","in":"query","description":"Account unique identifier","type":"integer","format":"int32","required":false},"ApiKey-Header":{"name":"Api-Key","in":"header","description":"API key allowing to identify the tenant and therefore; to provide\nthe authorization to access to its own resources.\n","type":"string","required":true},"ApiVersion-Header":{"name":"Api-Version","in":"header","description":"ApiVersion specifies the version of the api the client requires.\nIf this header is not present, it will be the latest API version which\nis used.\n","type":"integer","enum":[1],"default":1,"required":false},"From-Header":{"name":"From","in":"header","description":"User identifier for the user performing the operation. There is no validation for format and identifier.","type":"string","required":true}},"paths":{"/store/{storeId}":{"get":{"tags":["Store"],"summary":"Look up a store by its unique identifier.\n","description":"Use this request to:\n  - Look up a store by its unique identifier.\n","operationId":"lookupStoreByUniqueIdentifier","parameters":[{"$ref":"#/parameters/ApiKey-Header"},{"$ref":"#/parameters/ApiVersion-Header"},{"$ref":"#/parameters/From-Header"},{"$ref":"#/parameters/StoreId-Path"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/StoreResponse"},"headers":{"X-Rate-Limit":{"description":"Rate limit ceiling for the given request for a certain period of time (1 hour)\n","type":"integer","format":"int32"},"X-Rate-Limit-Remaining":{"description":"Number of remaining requests for the current period of time","type":"integer","format":"int32"},"X-Rate-Limit-Reset":{"description":"Remaining window before the rate limit resets in UTC epoch seconds\n","type":"integer","format":"int32"},"Api-Version":{"description":"Specifying the version of the api in the response.\nIf a specific API version is not requested in the request, it will be the\nlatest API version which is returned.\n","type":"integer"}}},"400":{"description":"Bad request"},"401":{"description":"Unauthorized"},"404":{"description":"Not Found"},"406":{"description":"Not Acceptable"},"429":{"description":"Too Many Requests"},"500":{"description":"Internal Server Error"}}}},"/stores":{"get":{"tags":["Store"],"summary":"Look up stores.\n","description":"Use this request to:\n  - Look up stores.\n  - Filter list of stores by their status, their geo location positions.\n  - Filter list of stores by store number.\n","operationId":"lookupStores","parameters":[{"$ref":"#/parameters/ApiKey-Header"},{"$ref":"#/parameters/ApiVersion-Header"},{"$ref":"#/parameters/From-Header"},{"$ref":"#/parameters/StoreExpand-Query"},{"$ref":"#/parameters/Page-Query"},{"$ref":"#/parameters/Limit-Query"},{"$ref":"#/parameters/GeoLocation-Query"},{"$ref":"#/parameters/StoreNumber-Query"},{"$ref":"#/parameters/LastUpdateDateFilters-Query"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/StoresResponse"},"headers":{"X-Rate-Limit":{"description":"Rate limit ceiling for the given request for a certain period of time (1 hour)\n","type":"integer","format":"int32"},"X-Rate-Limit-Remaining":{"description":"Number of remaining requests for the current period of time","type":"integer","format":"int32"},"X-Rate-Limit-Reset":{"description":"Remaining window before the rate limit resets in UTC epoch seconds\n","type":"integer","format":"int32"},"Api-Version":{"description":"Specifying the version of the api in the response.\nIf a specific API version is not requested in the request, it will be the\nlatest API version which is returned.\n","type":"integer"}}},"400":{"description":"Bad request"},"401":{"description":"Unauthorized"},"404":{"description":"Not Found"},"406":{"description":"Not Acceptable"},"429":{"description":"Too Many Requests"},"500":{"description":"Internal Server Error"}}}},"/store-offers":{"get":{"tags":["Store","Offer"],"summary":"Look up stores with active offers (offers available at the store).\n","description":"Use this request to:\n  - Look up store's with active offer(s).\n  - Filter the list of stores by offer identifier, offer type.\n  - Filter the list of stores by store/corporate/device identifier\n  - Filter the list of stores with offers matching with customer profile\n  - Filter the list of stores by geo location\n  - Filter the list of stores with offers using a specific pool identifier\n","operationId":"lookupStoresWithOffers","parameters":[{"$ref":"#/parameters/ApiKey-Header"},{"$ref":"#/parameters/ApiVersion-Header"},{"$ref":"#/parameters/From-Header"},{"$ref":"#/parameters/OfferExpand-Query"},{"$ref":"#/parameters/StoreId-Query"},{"$ref":"#/parameters/OfferId-Query"},{"$ref":"#/parameters/OfferType-Query"},{"$ref":"#/parameters/PoolId-Query"},{"$ref":"#/parameters/GeoLocation-Query"},{"$ref":"#/parameters/AccountId-Query"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/StoresWithOffersResponse"},"headers":{"X-Rate-Limit-Limit":{"description":"Rate limit ceiling for the given request for a certain period of time (1 hour)\n","type":"integer","format":"int32"},"X-Rate-Limit-Remaining":{"description":"Number of remaining requests for the current period of time","type":"integer","format":"int32"},"X-Rate-Limit-Reset":{"description":"Remaining window before the rate limit resets in UTC epoch seconds\n","type":"integer","format":"int32"},"Api-Version":{"description":"Specifying the version of the api in the response.\nIf a specific API version is not requested in the request, it will be the\nlatest API version which is returned.\n","type":"integer"}}},"400":{"description":"Bad request"},"401":{"description":"Unauthorized"},"404":{"description":"Not Found"},"406":{"description":"Not Acceptable"},"429":{"description":"Too Many Requests"},"500":{"description":"Internal Server Error"}}}},"/store-campaigns":{"get":{"tags":["Store","Campaign"],"summary":"Look up stores with active campaigns (campaign available at the store).\n","description":"Use this request to:\n  - Look up store's with active campaign(s).\n  - Filter the list of stores by campaign identifier, campaign type.\n  - Filter the list of stores with campaigns matching with a customer profile\n  - Filter the list of stores by geo location\n  - Filter the list of stores with campaigns awarding a specific pool identifier\n","operationId":"lookupStoresWithCampaigns","parameters":[{"$ref":"#/parameters/ApiKey-Header"},{"$ref":"#/parameters/ApiVersion-Header"},{"$ref":"#/parameters/From-Header"},{"$ref":"#/parameters/CampaignExpand-Query"},{"$ref":"#/parameters/StoreId-Query"},{"$ref":"#/parameters/CampaignId-Query"},{"$ref":"#/parameters/CampaignDriverType-Query"},{"$ref":"#/parameters/CampaignBenefitType-Query"},{"$ref":"#/parameters/PoolId-Query"},{"$ref":"#/parameters/GeoLocation-Query"},{"$ref":"#/parameters/AccountId-Query"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/StoresWithOffersResponse"},"headers":{"X-Rate-Limit-Limit":{"description":"Rate limit ceiling for the given request for a certain period of time (1 hour)\n","type":"integer","format":"int32"},"X-Rate-Limit-Remaining":{"description":"Number of remaining requests for the current period of time","type":"integer","format":"int32"},"X-Rate-Limit-Reset":{"description":"Remaining window before the rate limit resets in UTC epoch seconds\n","type":"integer","format":"int32"},"Api-Version":{"description":"Specifying the version of the api in the response.\nIf a specific API version is not requested in the request, it will be the\nlatest API version which is returned.\n","type":"integer"}}},"400":{"description":"Bad request"},"401":{"description":"Unauthorized"},"404":{"description":"Not Found"},"406":{"description":"Not Acceptable"},"429":{"description":"Too Many Requests"},"500":{"description":"Internal Server Error"}}}}},"definitions":{"Link":{"type":"object","description":"HATEOS object","required":["href","rel","method"],"properties":{"href":{"type":"string","format":"string - url","description":"URL of the related HATEOAS link to use for subsequent calls\n"},"rel":{"type":"string","description":"Link relationship. Describes how this link relates to the previous call\n"},"method":{"type":"string","description":"HTTP method to use to make the related call","enum":["GET","PUT","DELETE"]}}},"Paging":{"type":"object","description":"HATEOAS paging information","required":["self","page","limit","totalCount","first","prev","next","last"],"properties":{"self":{"type":"object","description":"URL of the current page","required":["href"],"properties":{"href":{"type":"string","format":"string - url"}}},"page":{"type":"integer","format":"int32","description":"page index"},"limit":{"type":"integer","format":"int32","description":"Max records per page"},"totalCount":{"type":"integer","format":"int32","description":"Max number of available records"},"first":{"type":"object","description":"URL of the first page including the page index and the number of\nrecord per page\n","required":["href"],"properties":{"href":{"type":"string","format":"string - url"}}},"prev":{"type":"object","description":"URL of the next page including the page index and the number of\nrecord per page\n","required":["href"],"properties":{"href":{"type":"string","format":"string - url"}}},"next":{"type":"object","description":"URL of the next page including the page index and the number of\nrecord per page\n","required":["href"],"properties":{"href":{"type":"string","format":"string - url"}}},"last":{"type":"object","description":"URL of the last page including the page index and the number of\nrecord per page\n","required":["href"],"properties":{"href":{"type":"string","format":"string - url"}}}}},"StoreResponse":{"type":"object","description":"Store request details","required":["storeId","storeNumber","name","lastUpdatedDateTime","links"],"properties":{"storeId":{"type":"integer","format":"int32","description":"Unique store identifier","minimum":1},"storeNumber":{"type":"string","format":"alphanumeric","description":"Store number","minLength":1,"maxLength":15},"corporateNumber":{"type":"string","format":"alphanumeric","description":"corporate number","minLength":1,"maxLength":15},"name":{"type":"string","description":"Store name","minLength":1,"maxLength":40},"address":{"type":"string","description":"Store address","maxLength":100},"geoLocation":{"type":"object","description":"Store geolocation information","required":["latitude","longitude"],"properties":{"latitude":{"type":"string","format":"alphanumeric","description":"Store latitude","maxLength":20},"longitude":{"type":"string","format":"alphanumeric","description":"Store longitude","maxLength":20}}},"description":{"type":"string","description":"Store marketing description for mobile device","maxLength":100},"englishName":{"type":"string","description":"Store name","minLength":1,"maxLength":40},"englishAddress":{"type":"string","description":"Store address","maxLength":100},"englishDescription":{"type":"string","description":"Store marketing description for mobile device","maxLength":100},"lastUpdatedDateTime":{"type":"string","format":"date-time ISO8601 YYYY-MM-DDThh:mm:ssTZD","description":"Resource last updated date/time in UTC. Format - ISO 8601 - YYYY-MM-DDThh:mm:ssTZD"},"openingDaysHours":{"type":"string","description":"Opening days and hours from store (structure under Alphabank Control)","maxLength":200},"extraData":{"type":"string","description":"List of Store image URL","maxLength":500},"links":{"type":"array","description":"HATEOAS links","items":{"$ref":"#/definitions/Link"}}},"example":{"storeId":1,"storeNumber":110000000000001,"corporateNumber":22464,"name":"Macy's Herald Square","address":"151 West 34th Street - New York, NY 10001","geoLocation":{"latitude":40.7507917,"longitude":-73.98952609999998},"description":"Macy's Autumn Festival from Sep 1 until November 31","englishName":"My shop","englishAddress":"720 Athinas street","englishDescription":"Something describing Store expressed in english","lastUpdatedDateTime":"2016-12-31T19:20:30+00:00","openingDaysHours":"Weekday 9h00 to 18h00,Saturday 9h00 to 22h00,Sunday closed","extraData":"https://AlphabankMarketingAgency/img/Store/M1100001.png,https://AlphabankMarketingAgency/img/Corporate/M110019.png","links":[{"href":"https://store-api.wrtloyaty.com/store/1","rel":"self","method":"GET"}]}},"Stores":{"type":"array","description":"List of stores","items":{"$ref":"#/definitions/StoreResponse"}},"StoresResponse":{"type":"object","description":"List of stores","required":["_paging","stores"],"properties":{"_paging":{"$ref":"#/definitions/Paging"},"stores":{"$ref":"#/definitions/Stores"}}},"StoreWithOffersResponse":{"allOf":[{"$ref":"#/definitions/StoreResponse"},{"type":"object","description":"List of store's active offers","required":["offers"],"properties":{"offers":{"type":"array","description":"List of offers available at the store","items":{"$ref":"#/definitions/OfferDetails"}}}}],"example":{"storeId":9,"storeNumber":110000000000019,"corporateNumber":22464,"name":"Abercrombie & Fitch","address":"720 5th Avenue Fl 5 - New York, NY 10019","geoLocation":{"latitude":40.7507917,"longitude":-73.98952609999998},"description":"Macy's Autumn Festival from Sep 1 until November 31","englishName":"My shop","englishAddress":"720 Athinas street","englishDescription":"Something describing Store expressed in english","lastUpdatedDateTime":"2016-12-31T19:20:30+00:00","openingDaysHours":"Weekday 9h00 to 18h00,Saturday 9h00 to 22h00,Sunday closed","extraData":"https://AlphabankMarketingAgency/img/Store/M1100001.png,https://AlphabankMarketingAgency/img/Corporate/M110019.png","links":[{"href":"https://store-api.wrtloyaty.com/store/1","rel":"self","method":"GET"}],"offers":[{"reference":48,"offerCode":"OFF0000123","offerType":"Voucher","offerNature":"Monetary","poolName":"REWARD3D","debitQuantity":10000,"usualDebitQuantity":12000,"monetaryValue":10.0,"monetaryValueType":"Percentage","monetaryValuePercentageTypeMaximumCap":15.0,"extraCost":0.0,"isStockManagementEligible":1,"stockQuantity":50,"stockAlertQuantity":10,"startDate":20170901,"endDate":20171201,"redemptionExpiryDate":20171231,"status":"Active","categories":[{"categoryCode":1000000001}],"channels":[{"channelCode":"CWS"}],"segmentationAttributes":[{"AttributeCode":"MLP00004","AttributeValues":[{"attributeValue":1}]}],"offerDescriptionLocalizations":[{"localCode":"en_GB","offerName":"Old Navy - 10% OFF Voucher","shortDescription":"Autumn celebration - 10% OFF\n","longDescription":"Enjoy 10% OFF in all Old Navy stores for Autumn celebration\n","termsAndConditions":"Prices are subject to change at anytime, except with respect to orders which\nhave been accepted by Seller and outstanding quoted prices which shall\nbe valid for the longer of 10 days or the period specified with the quote.\n","extraData":{"imagePath1":"https://AlphabankMarketingAgency/img/offers/offer00001.png","imagePath2":"https://AlphabankMarketingAgency/img/offers/offer00002.png","imagePath3":"https://AlphabankMarketingAgency/img/offers/offer00003.png","imagePath4":"https://AlphabankMarketingAgency/img/offers/offer00004.png","imagePath5":"https://AlphabankMarketingAgency/img/offers/offer00005.png","imagePath6":"https://AlphabankMarketingAgency/img/offers/offer00006.png","imagePath7":"https://AlphabankMarketingAgency/img/offers/offer00007.png","imagePath8":"https://AlphabankMarketingAgency/img/offers/offer00008.png","imagePath9":"https://AlphabankMarketingAgency/img/offers/offer00009.png"}},{"localCode":"fr_FR","offerName":"Old Navy - 10% OFF Voucher","shortDescription":"Fête de l'Automne - 10% OFF\n","longDescription":"Profiter de 10% de remise dans tous les magasins Old Navy pour fêter\nl'Automne\n","termsAndConditions":"Les prix indiqués peuvent changer à tout moment, à l'exception de ceux\ndes commandes acceptées par le vendeur.\n","extraData":{"imagePath1":"https://AlphabankMarketingAgency/img/offers/offer00001.png","imagePath2":"https://AlphabankMarketingAgency/img/offers/offer00002.png","imagePath3":"https://AlphabankMarketingAgency/img/offers/offer00003.png","imagePath4":"https://AlphabankMarketingAgency/img/offers/offer00004.png","imagePath5":"https://AlphabankMarketingAgency/img/offers/offer00005.png","imagePath6":"https://AlphabankMarketingAgency/img/offers/offer00006.png","imagePath7":"https://AlphabankMarketingAgency/img/offers/offer00007.png","imagePath8":"https://AlphabankMarketingAgency/img/offers/offer00008.png","imagePath9":"https://AlphabankMarketingAgency/img/offers/offer00009.png"}}],"createdDate":"20170808 18:15:41","lastUpdatedDate":"20170829 17:13:47"}]}},"StoresWithOffersResponse":{"type":"object","description":"List of active stores with active offers","required":["_paging","stores"],"properties":{"_paging":{"$ref":"#/definitions/Paging"},"stores":{"type":"array","description":"List of stores with active offers","items":{"$ref":"#/definitions/StoreWithOffersResponse"}}},"example":{"_paging":{"self":{"href":"https://store-api.wrtloyaty.com/stores?page=1&limit=50"},"page":1,"limit":50,"first":{"href":"https://store-api.wrtloyaty.com/stores"},"prev":{"href":""},"next":{"href":"https://store-api.wrtloyaty.com/stores?page=2&limit=50"},"last":{"href":"https://store-api.wrtloyaty.com/stores?page=3&limit=50"}},"stores":[{"storeId":9,"storeNumber":110000000000019,"corporateNumber":22464,"name":"Abercrombie & Fitch","address":"720 5th Avenue Fl 5 - New York, NY 10019","geoLocation":{"latitude":40.7507917,"longitude":-73.98952609999998},"description":"Macy's Autumn Festival from Sep 1 until November 31","englishName":"My shop","englishAddress":"720 Athinas street","englishDescription":"Something describing Store expressed in english","lastUpdatedDateTime":"2016-12-31T19:20:30+00:00","openingDaysHours":"Weekday 9h00 to 18h00,Saturday 9h00 to 22h00,Sunday closed","extraData":"https://AlphabankMarketingAgency/img/Store/M1100001.png,https://AlphabankMarketingAgency/img/Corporate/M110019.png","links":[{"href":"https://store-api.wrtloyaty.com/store/1","rel":"self","method":"GET"}],"offers":[{"offerCode":"OFF0000123","offerType":"Voucher","offerNature":"Monetary","poolName":"REWARD3D","vendorName":"Old Navy","debitQuantity":10000,"usualDebitQuantity":12000,"monetaryValue":10.0,"monetaryValueType":"Percentage","monetaryValuePercentageTypeMaximumCap":15.0,"isStockManagementEligible":1,"stockQuantity":50,"stockAlertQuantity":10,"startDate":20170901,"endDate":20171201,"redemptionExpiryDate":20171231,"status":"Active","categories":[{"categoryCode":1000000001}],"channels":[{"channelCode":"CWS"},{"channelCode":"POS"}],"segmentationAttributes":[{"AttributeCode":"MLP00004","AttributeValues":[{"attributeValue":1}]}],"offerDescriptionLocalizations":[{"localCode":"en_GB","offerName":"Old Navy - 10% OFF Voucher","shortDescription":"Autumn celebration - 10% OFF\n","longDescription":"Enjoy 10% OFF in all Old Navy stores for Autumn celebration\n","termsAndConditions":"Prices are subject to change at anytime, except with respect to orders which\nhave been accepted by Seller and outstanding quoted prices which shall\nbe valid for the longer of 10 days or the period specified with the quote.\n","extraData":{"imagePath1":"https://AlphabankMarketingAgency/img/offers/offer00001.png","imagePath2":"https://AlphabankMarketingAgency/img/offers/offer00002.png","imagePath3":"https://AlphabankMarketingAgency/img/offers/offer00003.png","imagePath4":"https://AlphabankMarketingAgency/img/offers/offer00004.png","imagePath5":"https://AlphabankMarketingAgency/img/offers/offer00005.png","imagePath6":"https://AlphabankMarketingAgency/img/offers/offer00006.png","imagePath7":"https://AlphabankMarketingAgency/img/offers/offer00007.png","imagePath8":"https://AlphabankMarketingAgency/img/offers/offer00008.png","imagePath9":"https://AlphabankMarketingAgency/img/offers/offer00009.png"}},{"localCode":"fr_FR","offerName":"Old Navy - 10% OFF Voucher","shortDescription":"Fête de l'Automne - 10% OFF\n","longDescription":"Profiter de 10% de remise dans tous les magasins Old Navy pour fêter\nl'Automne\n","termsAndConditions":"Les prix indiqués peuvent changer à tout moment, à l'exception de ceux\ndes commandes acceptées par le vendeur.\n","extraData":{"imagePath1":"https://AlphabankMarketingAgency/img/offers/offer00001.png","imagePath2":"https://AlphabankMarketingAgency/img/offers/offer00002.png","imagePath3":"https://AlphabankMarketingAgency/img/offers/offer00003.png","imagePath4":"https://AlphabankMarketingAgency/img/offers/offer00004.png","imagePath5":"https://AlphabankMarketingAgency/img/offers/offer00005.png","imagePath6":"https://AlphabankMarketingAgency/img/offers/offer00006.png","imagePath7":"https://AlphabankMarketingAgency/img/offers/offer00007.png","imagePath8":"https://AlphabankMarketingAgency/img/offers/offer00008.png","imagePath9":"https://AlphabankMarketingAgency/img/offers/offer00009.png"}}],"createDateTime":20171231120500,"lastUpdateDate":20180108133104}]}]}},"StoreWithCampaignsResponse":{"allOf":[{"$ref":"#/definitions/StoreResponse"},{"type":"object","description":"List of store's active Campaigns","required":["Campaigns"],"properties":{"Campaigns":{"type":"array","description":"List of Campaigns available at the store","items":{"$ref":"#/definitions/CampaignDetails"}}}}],"example":{"storeId":9,"storeNumber":110000000000019,"corporateNumber":22464,"name":"Abercrombie & Fitch","address":"720 5th Avenue Fl 5 - New York, NY 10019","geoLocation":{"latitude":40.7507917,"longitude":-73.98952609999998},"description":"Macy's Autumn Festival from Sep 1 until November 31","englishName":"My shop","englishAddress":"720 Athinas street","englishDescription":"Something describing Store expressed in english","lastUpdatedDateTime":"2016-12-31T19:20:30+00:00","openingDaysHours":"Weekday 9h00 to 18h00,Saturday 9h00 to 22h00,Sunday closed","extraData":"https://AlphabankMarketingAgency/img/Store/M1100001.png,https://AlphabankMarketingAgency/img/Corporate/M110019.png","links":[{"href":"https://store-api.wrtloyaty.com/store/1","rel":"self","method":"GET"}],"campaigns":[{"campaignId":59,"name":"10% OFF instant discount","startDate":20180901,"endDate":20191031,"minimumPurchaseAmount":10,"maximumPurchaseAmount":1000,"ownerType":"Merchant","triggerFrequencyType":"Once per day","descriptionGreek":"Το Lorem Ipsum είναι απλά ένα δείγμα κειμένου της βιομηχανίας της τυπογραφίας","descriptionEnglish":"10% OFF instant discount at each daily visit","termsAndConditionsGreek":"Το Lorem Ipsum είναι απλά ένα δείγμα κειμένου της βιομηχανίας της τυπογραφίας","termsAndConditionsEnglish":"applicable to gold customer in eligible period","driverType":"Amount","benefitType":"Discount","isSubscribableToServeralMerchants":false,"isSubscribableToHostAndVirtualTerminals":false,"extraData":{"imagePath1":"https://AlphabankMarketingAgency/img/Campaigns/cpgn00001.png","imagePath2":"https://AlphabankMarketingAgency/img/Campaigns/cpgn00002.png"},"status":"Active","driverAndBenefitsDetails":{"amountDriverDetails":{"counterOverrideType":"No Override","counterResetDetails":{"counterResetType":"Reset at end of calenday month of 1st transaction date","noOfDaysFromTransactionDateToResetCounter":"","noOfMonthsFromTransactionDateToResetCounter":""},"isMultipleScenarioTriggerAllowed":false,"isAwardTriggeredAgainAfterCounterReset":false,"isCascadedAwardTriggered":false,"amountDriverScenariosAndBenefitsDetails":[{"scenarioNumber":1,"purchaseAmountSlab":{"lower":1.0,"higher":1000.0},"counterResetType":"None","benefitDetails":{"benefitTriggerFrequencyType":"Every transaction","mutipleOfTrigger":"","discountBenefitDetails":{"discountType":"Percentage of purchase amount","discountFixedAmount":"","discountPercentage":10.0},"awardBenefitsDetails":""},"scenarioMessageDetails":{"messageChannelType":"Receipt","receiptMessageDetails":{"receiptPrintingType":"Same receipt as payment","receiptMessages":[{"lineNumber":1,"message":"Enjoy 10% OFF","isMessagePrintedInBold":true},{"lineNumber":2,"message":"for this current purchase","isMessagePrintedInBold":false}]},"smsMessage":""}}]},"eventDayDriverAndBenefitsDetails":"","frequencyDriverAndBenefitsDetails":""}}]}},"StoresWithCampaignsResponse":{"type":"object","description":"List of active stores with active Campaigns","required":["_paging","stores"],"properties":{"_paging":{"$ref":"#/definitions/Paging"},"stores":{"type":"array","description":"List of stores with active Campaigns","items":{"$ref":"#/definitions/StoreWithCampaignsResponse"}}},"example":{"_paging":{"self":{"href":"https://store-api.wrtloyaty.com/stores?page=1&limit=50"},"page":1,"limit":50,"first":{"href":"https://store-api.wrtloyaty.com/stores"},"prev":{"href":""},"next":{"href":"https://store-api.wrtloyaty.com/stores?page=2&limit=50"},"last":{"href":"https://store-api.wrtloyaty.com/stores?page=3&limit=50"}},"stores":[{"storeId":9,"storeNumber":110000000000019,"corporateNumber":22464,"name":"Abercrombie & Fitch","address":"720 5th Avenue Fl 5 - New York, NY 10019","geoLocation":{"latitude":40.7507917,"longitude":-73.98952609999998},"description":"Macy's Autumn Festival from Sep 1 until November 31","englishName":"My shop","englishAddress":"720 Athinas street","englishDescription":"Something describing Store expressed in english","lastUpdatedDateTime":"2016-12-31T19:20:30+00:00","openingDaysHours":"Weekday 9h00 to 18h00,Saturday 9h00 to 22h00,Sunday closed","extraData":"https://AlphabankMarketingAgency/img/Store/M1100001.png,https://AlphabankMarketingAgency/img/Corporate/M110019.png","links":[{"href":"https://store-api.wrtloyaty.com/store/1","rel":"self","method":"GET"}],"campaigns":[{"campaignId":59,"name":"10% OFF instant discount","startDate":20180901,"endDate":20191031,"minimumPurchaseAmount":10,"maximumPurchaseAmount":1000,"ownerType":"Merchant","triggerFrequencyType":"Once per day","descriptionGreek":"Το Lorem Ipsum είναι απλά ένα δείγμα κειμένου της βιομηχανίας της τυπογραφίας","descriptionEnglish":"10% OFF instant discount at each daily visit","termsAndConditionsGreek":"Το Lorem Ipsum είναι απλά ένα δείγμα κειμένου της βιομηχανίας της τυπογραφίας","termsAndConditionsEnglish":"applicable to gold customer in eligible period","driverType":"Amount","benefitType":"Discount","isSubscribableToServeralMerchants":false,"isSubscribableToHostAndVirtualTerminals":false,"extraData":{"imagePath1":"https://AlphabankMarketingAgency/img/Campaigns/cpgn00001.png","imagePath2":"https://AlphabankMarketingAgency/img/Campaigns/cpgn00002.png"},"status":"Active","driverAndBenefitsDetails":{"amountDriverDetails":{"counterOverrideType":"No Override","counterResetDetails":{"counterResetType":"Reset at end of calenday month of 1st transaction date","noOfDaysFromTransactionDateToResetCounter":"","noOfMonthsFromTransactionDateToResetCounter":""},"isMultipleScenarioTriggerAllowed":false,"isAwardTriggeredAgainAfterCounterReset":false,"isCascadedAwardTriggered":false,"amountDriverScenariosAndBenefitsDetails":[{"scenarioNumber":1,"purchaseAmountSlab":{"lower":1.0,"higher":1000.0},"counterResetType":"None","benefitDetails":{"benefitTriggerFrequencyType":"Every transaction","mutipleOfTrigger":"","discountBenefitDetails":{"discountType":"Percentage of purchase amount","discountFixedAmount":"","discountPercentage":10.0},"awardBenefitsDetails":""},"scenarioMessageDetails":{"messageChannelType":"Receipt","receiptMessageDetails":{"receiptPrintingType":"Same receipt as payment","receiptMessages":[{"lineNumber":1,"message":"Enjoy 10% OFF","isMessagePrintedInBold":true},{"lineNumber":2,"message":"for this current purchase","isMessagePrintedInBold":false}]},"smsMessage":""}}]},"eventDayDriverAndBenefitsDetails":"","frequencyDriverAndBenefitsDetails":""}}]}]}},"CampaignDetails":{"description":"Campaign response details","type":"object","required":["campaignId","name","startDate","endDate","minimumPurchaseAmount","maximumPurchaseAmount","ownerType","driverType","benefitType","driverAndBenefitsDetails","createdBy","createdDateTime"],"properties":{"campaignId":{"type":"integer","format":"int32","description":"Unique campaign identifier","minimum":1},"name":{"type":"string","description":"Campaign name. Free Text.","minLength":1,"maxLength":24},"startDate":{"type":"string","format":"date YYYYMMDD ISO8601","description":"Campaign start date (local civil time). Format - YYYYMMDD. This should be current date or later."},"endDate":{"type":"string","format":"date YYYYMMDD ISO8601","description":"Campaign end date (local civil time). Format - YYYYMMDD. This should be same as start date or later."},"minimumPurchaseAmount":{"type":"number","format":"float","minimum":0,"maximum":9999999.99,"description":"Maximum purchase amount required to trigger the campaign"},"maximumPurchaseAmount":{"type":"number","format":"float","minimum":0.01,"maximum":9999999.99,"description":"Maximum purchase amount beyond which the campaign won't be triggered"},"ownerType":{"type":"string","description":"Campaign owner type. Possible values are listed below.","enum":["Corporate","Merchant","Program Manager"]},"ownerId":{"type":"integer","format":"int32","description":"Campaign owner identifier. If the owner type is 'Program Manager', then, this is optional. For the owner type 'Merchant', this should be the merchant identifier and for owner type 'Corporate', this should be the corporate identifier"},"triggerFrequencyType":{"type":"string","description":"Campaign trigger frequency type. Both options applicable only for 'Amount', 'Frequency' and 'Welcome' driver types. Only option 'Every transaction' is applicable to 'Recency' driver type. This is not applicable for all other driver types.","enum":["Once per day","Every transaction"]},"descriptionGreek":{"type":"string","description":"Campaign short description in greek","maxLength":800},"descriptionEnglish":{"type":"string","description":"Campaign short description in english","maxLength":800},"termsAndConditionsGreek":{"type":"string","description":"Terms and Conditions in greek","maxLength":800},"termsAndConditionsEnglish":{"type":"string","description":"Terms and Conditions in english","maxLength":800},"driverType":{"type":"string","description":"Campaign driver type. Possible values are listed below.","enum":["Amount","Birthday","Event day","Generic","Frequency","Item","Lucky","Recency","Recurring day","Welcome"]},"benefitType":{"type":"string","description":"Campaign benefit type benefiting the customer. For 'Generic' and 'Lucky' drivers, only 'Award' is applicable. Possible values are listed below.","enum":["Award","Discount"]},"isSubscribableToServeralMerchants":{"type":"boolean","description":"Campaign indicator to allow the subscription for only one merhcant or serveral merchants. Default - Subscription allowed for only one merchant (false)","default":false},"isSubscribableToHostAndVirtualTerminals":{"type":"boolean","description":"Campaign indicator to allow the subscription for host and virtual terminals. Default - Subscription not allowed for Host and Virtual terminals (false)","default":false},"extraData":{"type":"string","format":"alphanumeric","description":"List of image URL","maxLength":2083},"status":{"type":"string","description":"Campaign status. Possible values are listed below.","enum":["Active","Inactive"],"default":"Active"},"driverAndBenefitsDetails":{"type":"object","description":"Campaign driver details and it's related one or more benefits definition based on driver and in some cases scenarios within a driver. This is Mandatory.","properties":{"amountDriverAndBenefitsDetails":{"$ref":"#/definitions/AmountDriverAndBenefitsDetails"},"eventDayDriverAndBenefitsDetails":{"$ref":"#/definitions/EventDayDriverAndBenefitsDetails"},"frequencyDriverAndBenefitsDetails":{"$ref":"#/definitions/FrequencyDriverAndBenefitsDetails"}}},"createdBy":{"type":"string","format":"email","description":"User who has created the resource. This is same value set in the from header.","maxLength":255},"createdDateTime":{"type":"string","format":"date-time ISO8601 YYYY-MM-DDThh:mm:ssTZD","description":"Resource created date/time in UTC. Format - ISO 8601 - YYYY-MM-DDThh:mm:ssTZD"},"lastUpdatedBy":{"type":"string","format":"email","description":"User who has last updated the Outlet. This is same value set in the from header.","maxLength":255},"lastUpdatedDateTime":{"type":"string","format":"date-time ISO8601 YYYY-MM-DDThh:mm:ssTZD","description":"Resource last updated date/time in UTC. Format - ISO 8601 - YYYY-MM-DDThh:mm:ssTZD"}},"example":{"campaignId":59,"name":"10% OFF instant discount","startDate":20180901,"endDate":20191031,"minimumPurchaseAmount":10,"maximumPurchaseAmount":1000,"ownerType":"Merchant","triggerFrequencyType":"Once per day","descriptionGreek":"Το Lorem Ipsum είναι απλά ένα δείγμα κειμένου της βιομηχανίας της τυπογραφίας","descriptionEnglish":"10% OFF instant discount at each daily visit","termsAndConditionsGreek":"Το Lorem Ipsum είναι απλά ένα δείγμα κειμένου της βιομηχανίας της τυπογραφίας","termsAndConditionsEnglish":"applicable to gold customer in eligible period","driverType":"Amount","benefitType":"Discount","isSubscribableToServeralMerchants":false,"isSubscribableToHostAndVirtualTerminals":false,"extraData":{"imagePath1":"https://AlphabankMarketingAgency/img/Campaigns/cpgn00001.png","imagePath2":"https://AlphabankMarketingAgency/img/Campaigns/cpgn00002.png"},"status":"Active","driverAndBenefitsDetails":{"amountDriverDetails":{"counterOverrideType":"No Override","counterResetDetails":{"counterResetType":"Reset at end of calenday month of 1st transaction date","noOfDaysFromTransactionDateToResetCounter":"","noOfMonthsFromTransactionDateToResetCounter":""},"isMultipleScenarioTriggerAllowed":false,"isAwardTriggeredAgainAfterCounterReset":false,"isCascadedAwardTriggered":false,"amountDriverScenariosAndBenefitsDetails":[{"scenarioNumber":1,"purchaseAmountSlab":{"lower":1.0,"higher":1000.0},"counterResetType":"None","benefitDetails":{"benefitTriggerFrequencyType":"Every transaction","mutipleOfTrigger":"","discountBenefitDetails":{"discountType":"Percentage of purchase amount","discountFixedAmount":"","discountPercentage":10.0},"awardBenefitsDetails":""},"scenarioMessageDetails":{"messageChannelType":"Receipt","receiptMessageDetails":{"receiptPrintingType":"Same receipt as payment","receiptMessages":[{"lineNumber":1,"message":"Enjoy 10% OFF","isMessagePrintedInBold":true},{"lineNumber":2,"message":"for this current purchase","isMessagePrintedInBold":false}]},"smsMessage":""}}]},"eventDayDriverAndBenefitsDetails":"","frequencyDriverAndBenefitsDetails":""},"createdBy":"usercreated@example.com","createdDateTime":"2016-12-31T19:20:30+00:00","lastUpdatedBy":"userupdated@example.com","lastUpdatedDateTime":"2016-12-31T19:20:30+00:00"}},"AmountDriverAndBenefitsDetails":{"type":"object","description":"Amount campaign driver, scenario and benefits details","required":["counterOverrideType","counterResetDetails","amountDriverScenariosAndBenefitsDetails"],"properties":{"counterOverrideType":{"type":"string","description":"Amount counter overriding type to be used during merging two customer accounts. Possible values are listed below.","enum":["No Override","Override if counter is higher","Override if counter is lower"]},"counterResetDetails":{"type":"object","required":["counterResetType"],"description":"Amount scenario counter reset details","properties":{"counterResetType":{"type":"string","description":"Amount counter reset type. Possible values are listed below.","enum":["Reset x day(s) after 1st transaction date","Reset x day(s) after each transaction date","Reset x month(s) after 1st transaction date","Reset x month(s) after each transaction date","Reset at end of calendar month of 1st transaction date","Reset at end of campaign validity"]},"noOfDaysFromTransactionDateToResetCounter":{"type":"integer","format":"int32","description":"No. of days after the transaction date to reset the counter. This is only applicable and mandatory for x days reset counter types.","minimum":0,"maximum":999},"noOfMonthsFromTransactionDateToResetCounter":{"type":"integer","format":"int32","description":"No. of months after the transaction date to reset the counter. This is only applicable and mandatory for x months reset counter types.","minimum":0,"maximum":12}}},"isMultipleScenarioTriggerAllowed":{"type":"boolean","description":"Indicator to specify whether more than one scenarios need to be triggered for awarding as long as the purchase amount is more the scenario's lower slab. Default - False."},"isAwardTriggeredAgainAfterCounterReset":{"type":"boolean","description":"Indicator to specify whether the scenarios need to be triggered for the purchase amount beyond the last scenario upper slab after the counters reset or not. Default - False."},"isCascadedAwardTriggered":{"type":"boolean","description":"Indicator to specify whether the scenarios can be triggered for multiple of purchase amount between lower range and upper range in each scenarios slab."},"amountDriverScenariosAndBenefitsDetails":{"type":"array","description":"Amount driver scenarios and benefits details for each scenario. Scenario 1 is mandatory. You can define upto 4 scenarios maximum.","items":{"$ref":"#/definitions/AmountDriverScenarioDetails"}}}},"EventDayDriverAndBenefitsDetails":{"type":"object","description":"Event day campaign driver, scenario and benefits details","required":["eventDayDriverScenariosAndBenefitsDetails"],"properties":{"eventDayDriverScenariosAndBenefitsDetails":{"$ref":"#/definitions/EventDayDriverScenarioDetails"}}},"FrequencyDriverAndBenefitsDetails":{"type":"object","description":"Frequency campaign driver, scenario and benefits details","required":["counterOverrideType","counterResetDetails","frequencyDriverScenariosAndBenefitsDetails"],"properties":{"counterOverrideType":{"type":"string","description":"Frequency counter overriding type to be used during merging two customer accounts. Possible values are listed below.","enum":["No Override","Override if counter is higher","Override if counter is lower"]},"counterResetDetails":{"type":"object","required":["counterResetType"],"description":"Frequency scenario counter reset details","properties":{"counterResetType":{"type":"string","description":"Frequency counter reset type. Possible values are listed below.","enum":["Reset x day(s) after 1st transaction date","Reset x day(s) after each transaction date","Reset x month(s) after 1st transaction date","Reset x month(s) after each transaction date","Reset at end of calendar month of 1st transaction date","Reset at end of campaign validity"]},"noOfDaysFromTransactionDateToResetCounter":{"type":"integer","format":"int32","description":"No. of days after the transaction date to reset the counter. This is only applicable and mandatory for x days reset counter types.","minimum":0,"maximum":999},"noOfMonthsFromTransactionDateToResetCounter":{"type":"integer","format":"int32","description":"No. of months after the transaction date to reset the counter. This is only applicable and mandatory for x months reset counter types.","minimum":0,"maximum":12}}},"frequencyDriverScenariosAndBenefitsDetails":{"type":"array","description":"Frequency driver scenarios and benefits details for each scenario. Scenario 1 is mandatory. You can define upto 4 scenarios maximum.","items":{"$ref":"#/definitions/FrequencyDriverScenarioDetails"}}}},"AmountDriverScenarioDetails":{"type":"object","description":"Amount driver scenario details. At least 1 scenario is required.","required":["scenarioNumber","purchaseAmountSlab","counterResetType","benefitDetails"],"properties":{"scenarioNumber":{"type":"integer","format":"int32","description":"Amount driver scenario number","enum":[1,2,3,4]},"purchaseAmountSlab":{"type":"object","required":["lower","upper"],"description":"Amount scenario slab","properties":{"lower":{"type":"number","format":"float","description":"Minimum purchase amount to qualify for this scenario. This should be higher than the pervious scenario's upper slab.","minimum":0,"maximum":9999999.99},"upper":{"type":"number","format":"float","description":"Maximum purchase amount to qualify for this scenario. This should be higher than lower slab value.","minimum":0.01,"maximum":9999999.99}}},"counterResetType":{"type":"string","description":"Amount scenario reset type for this scenario. Possible values are listed below.","enum":["None","Partial","Total"]},"benefitDetails":{"type":"object","description":"Scenario benefit details. If the benefit type is 'Discount', then only 'discountBenefitDetails' is applicable. If the benefit type is 'Award', then only 'awardBenifitsDetails' is applicable","required":["benefitTriggerFrequencyType"],"properties":{"benefitTriggerFrequencyType":{"type":"string","description":"Benefit trigger frequency type","enum":["Only once","Every transaction"]},"multipleOfTrigger":{"type":"integer","format":"int32","description":"Multiplier value of the difference between the upper range and the lower range of the scenario. Available in addition to 'benefitTriggerFrequenceType' only if 'isCascadedAwardTriggered' option is set to true."},"discountBenefitDetails":{"$ref":"#/definitions/DiscountBenefitDetails"},"awardBenefitsDetails":{"$ref":"#/definitions/AmountDriverAwardDetails"}}},"scenarioMessageDetails":{"type":"object","description":"Scenario message details","required":["messageChannelType"],"properties":{"messageChannelType":{"type":"string","description":"Message channel type. Possible values are listed below","enum":["Receipt","SMS"]},"receiptMessageDetails":{"type":"object","description":"Details of message to be printed on receipt.","properties":{"receiptPrintingType":{"type":"string","description":"Receipt printing type.","enum":["Same receipt as payment","New receipt separate from payment"],"default":"Same receipt as payment"},"receiptMessages":{"type":"array","description":"Receipt messages","items":{"$ref":"#/definitions/ReceiptMessageDetails"}}}},"smsMessage":{"type":"string","description":"SMS message to be sent to customer's mobile phone number if provided.","maxLength":160}}}}},"EventDayDriverScenarioDetails":{"type":"object","description":"Event day driver scenario details.","required":["basicScenarioDetails"],"properties":{"basicScenarioDetails":{"type":"object","description":"Basic scenario details","required":["eventDays","benefitDetails"],"properties":{"eventDays":{"type":"array","description":"List of event days in DD/MM","items":{"type":"string","format":"Date (DD/MM)"}},"benefitDetails":{"type":"object","description":"Scenario benefit details. If the benefit type is 'Discount', then only 'discountBenefitDetails' or 'benefitMultiplierRatio' is applicable. If the benefit type is 'Award', then only 'awardBenifitsDetails' or 'benefitMultiplierRatio' is applicable. But, only 1 benefit can be used.","properties":{"discountBenefitDetails":{"$ref":"#/definitions/DiscountBenefitDetails"},"awardBenefitsDetails":{"$ref":"#/definitions/EventDayDriverAwardDetails"},"benefitMultiplierRatio":{"type":"number","format":"float","minimum":1.01,"maximum":9.99,"description":"Benefit multiplier ratio for all pool awards given by all the campaigns as part of the same transaction."}}},"scenarioMessageDetails":{"type":"object","description":"Scenario message details","required":["messageChannelType"],"properties":{"messageChannelType":{"type":"string","description":"Message channel type. Possible values are listed below","enum":["Receipt"]},"receiptMessageDetails":{"type":"object","description":"Details of message to be printed on receipt.","properties":{"receiptPrintingType":{"type":"string","description":"Receipt printing type.","enum":["Same receipt as payment","New receipt separate from payment"],"default":"Same receipt as payment"},"receiptMessages":{"type":"array","description":"Receipt messages","items":{"$ref":"#/definitions/ReceiptMessageDetails"}}}}}}}}}},"FrequencyDriverScenarioDetails":{"type":"object","description":"Frequency driver scenario details. At least 1 scenario is required.","required":["scenarioNumber","visitSlab","counterResetType","benefitDetails"],"properties":{"scenarioNumber":{"type":"integer","format":"int32","description":"Freqency driver scenario number","enum":[1,2,3,4]},"visitSlab":{"type":"object","required":["lower","upper"],"description":"Frequency scenario slab","properties":{"lower":{"type":"number","format":"int32","description":"Minimum number of visits to qualify for this scenario. This should be higher than the pervious scenario's upper slab.","minimum":1,"maximum":999},"upper":{"type":"number","format":"float","description":"Maximum number of visits to qualify for this scenario. This should be higher than lower slab value.","minimum":1,"maximum":999}}},"counterResetType":{"type":"string","description":"Frequency scenario reset type for this scenario. Possible values are listed below.","enum":["None","Total"]},"benefitDetails":{"type":"object","description":"Scenario benefit details. If the benefit type is 'Discount', then only 'discountBenefitDetails' is applicable. If the benefit type is 'Award', then only 'awardBenifitsDetails' is applicable","required":["benefitTriggerFrequencyType"],"properties":{"benefitTriggerFrequencyType":{"type":"string","description":"Benefit trigger frequency type","enum":["Only once","Every transaction"]},"discountBenefitDetails":{"$ref":"#/definitions/DiscountBenefitDetails"},"awardBenefitsDetails":{"$ref":"#/definitions/FrequencyDriverAwardDetails"}}},"scenarioMessageDetails":{"type":"object","description":"Scenario message details","required":["messageChannelType"],"properties":{"messageChannelType":{"type":"string","description":"Message channel type. Possible values are listed below","enum":["Receipt","SMS"]},"receiptMessageDetails":{"type":"object","description":"Details of message to be printed on receipt.","properties":{"receiptPrintingType":{"type":"string","description":"Receipt printing type.","enum":["Same receipt as payment","New receipt separate from payment"],"default":"Same receipt as payment"},"receiptMessages":{"type":"array","description":"Receipt messages","items":{"$ref":"#/definitions/ReceiptMessageDetails"}}}},"smsMessage":{"type":"string","description":"SMS message to be sent to customer's mobile phone number if provided.","maxLength":160}}}}},"AmountDriverAwardDetails":{"type":"object","description":"Amount driver award details for 1 pool and 1 coupon. This is applicable only when the benefit type is 'Award'. At least 1 award is mandatory. Both Pool and coupon awards can be defined at the same time.","properties":{"poolAwardDetails":{"$ref":"#/definitions/PoolAwardDetails"},"couponAwardDetails":{"$ref":"#/definitions/CouponAwardDetails"}}},"EventDayDriverAwardDetails":{"type":"object","description":"Event day driver award details for either 1 pool or 1 coupon. This is applicable only when the benefit type is 'Award'. 1 and only 1 award is applicable and mandatory.","properties":{"poolAwardDetails":{"$ref":"#/definitions/PoolAwardDetails"},"couponAwardDetails":{"$ref":"#/definitions/CouponAwardDetails"}}},"FrequencyDriverAwardDetails":{"type":"object","description":"Frequency driver award details for 1 pool and 1 coupon. This is applicable only when the benefit type is 'Award'. At least 1 award is mandatory. Both Pool and coupon awards can be defined at the same time.","properties":{"poolAwardDetails":{"$ref":"#/definitions/PoolAwardDetails"},"couponAwardDetails":{"$ref":"#/definitions/CouponAwardDetails"}}},"DiscountBenefitDetails":{"type":"object","description":"Discount benefit details. This is applicable only when the benefit type is 'Discount'","required":["discountType"],"properties":{"discountType":{"type":"string","description":"Discount benefit type","enum":["Fixed amount","Percentage of purchase amount"],"default":"Fixed amount"},"discountFixedAmount":{"description":"Discount benefit fixed amount. Only applicable and mandatory when the discount fixed amount","type":"number","format":"float","minimum":0.01,"maximum":9999999.99},"discountPercentage":{"description":"Discount benefit percentage based on purchase amount.Only applicable and mandatory when the discount is specified in percentage of purchase amount","type":"number","format":"float","minimum":0.01,"maximum":100}}},"PoolAwardDetails":{"type":"object","description":"Campaign pool award details. Either an already existing pool award can be used or a new pool award can be created","properties":{"poolId":{"type":"integer","format":"int32","description":"Pool identifier to uniquly identify an exisitng pool."},"fixedPoolUnit":{"type":"number","format":"float","description":"Amount of pool unit"},"percentPurchaseAmount":{"type":"number","format":"float","description":"Percentage of purchase amount"},"poolUnitPerPurchaseAmount":{"type":"object","description":"Pool unit per purchase amount","properties":{"poolUnit":{"type":"number","format":"integer or float depending the pool type","description":"Amount of pool unit"},"purchaseAmount":{"type":"number","format":"float","description":"Purchase amount triggering the award."}}}}},"CouponAwardDetails":{"type":"object","description":"Campaign coupon award details. Only 1 type of coupon can be used. It's mandatory. Item coupon only applicable for 'Amount', 'Frequency', 'Item', 'Lucky' and 'Recency' driver types","properties":{"electronicCouponAwardDetails":{"$ref":"#/definitions/ElectronicCouponAwardDetails"},"paperCouponAwardDetails":{"$ref":"#/definitions/PaperCouponAwardDetails"}}},"ElectronicCouponAwardDetails":{"type":"object","description":"Campaign electronic coupon award details. Either an already existing electronic coupon award can be used or a new electronic coupon award can be created","properties":{"electronicCouponDetails":{"type":"object","description":"Electronic coupon details.","required":["name","label","electronicCouponType","expiryDate"],"properties":{"electronicCouponId":{"type":"integer","format":"int32","description":"Electronic coupon identifier to uniquly identify an electronic coupon. If it is a new electronic coupon being created, then it's not applicable."},"name":{"type":"string","description":"Electronic coupon name","minLength":1,"maxLength":24},"number":{"type":"integer","description":"Electronic coupon number used as external identifier.","minLength":1,"maxLength":6},"type":{"type":"string","description":"Electronic coupon type. Possible values are listed below.","enum":["Monetary","Non monetary"]},"label":{"type":"string","description":"Electronic coupon label","minLength":1,"maxLength":10},"maximumECouponsAllowedPerCustomer":{"type":"integer","description":"Maximum number of electronic coupons allowed for a customer","minimum":1,"maximum":255},"expiryDate":{"type":"string","format":"date - ISO8601 YYYY-MM-DD","description":"Electronic coupon expiry date. Format - ISO 8601 - YYYY-MM-DD"},"imageUrl":{"type":"string","format":"url","description":"Electronic coupon image URL","maxLength":2083},"status":{"type":"string","description":"Electronic coupon status. Possible values are listed below. Default - Active","enum":["Active"]},"electronicCouponType":{"type":"string","description":"Electronic coupon type. Possible values are listed below.","enum":["Percentage of purchase amount","Fixed amount"]},"electronicCouponFixedAmount":{"description":"Electronic coupon fixed amount. Only applicable and mandatory when the electronicCouponType is specified as fixed amount","type":"number","format":"float","minimum":0.01,"maximum":9999999.99},"electronicCouponPercentage":{"description":"Electronic coupon percentage based on purchase amount. Only applicable and mandatory when the electronicCouponType is specified as percentage of purchase amount","type":"number","format":"float","minimum":0.01,"maximum":100},"messages":{"type":"array","description":"Electronic coupon messages. Mandatory","items":{"$ref":"#/definitions/ReceiptMessageDetails"}}}}}},"PaperCouponAwardDetails":{"type":"object","description":"Campaign paper coupon award details. Either an already existing paper coupon award can be used or a new paper coupon award can be created","properties":{"PaperCouponDetails":{"type":"object","description":"paper coupon details.","properties":{"paperCouponId":{"type":"integer","format":"int32","description":"Paper coupon identifier to uniquly identify a paper coupon.If it is a new paper coupon being created, then it's not applicable."},"name":{"type":"string","description":"Paper coupon name","minLength":1,"maxLength":24},"number":{"type":"string","description":"Paper coupon number used as external identifier in alphanumeric format","minLength":8,"maxLength":20},"messages":{"type":"array","description":"Paper coupon messages. Mandatory","items":{"$ref":"#/definitions/ReceiptMessageDetails"}},"expiryDate":{"type":"string","format":"date - ISO8601 YYYY-MM-DD","description":"Paper coupon expiry date. Format - ISO 8601 - YYYY-MM-DD"},"imageUrl":{"type":"string","format":"url","description":"Paper coupon image URL","maxLength":2083},"status":{"type":"string","description":"Paper coupon status. Possible values are listed below. Default - Active","enum":["Active"]}}}}},"ReceiptMessageDetails":{"type":"object","description":"Campaign receipt message details","required":["lineNumber","message"],"properties":{"lineNumber":{"type":"integer","format":"int32","description":"Coupon message line number","enum":[1,2,3,4,5,6,7,8]},"message":{"type":"string","minLength":1,"maxLength":24},"isMessagePrintedInBold":{"type":"boolean","description":"Indicator to identify whether the receipt message is print normal or bold. Default - false (Print normal)","default":false}}},"CategoryCode":{"type":"string","format":"alphanumeric","description":"Offer category code","minLength":1,"maxLength":20},"ChannelCode":{"type":"string","description":"Offer publishing channel.\n\nPossible values:\n  - CWS for portals including Bonus Mobile Application and MLP\n  - POS for Point of sale terminals\n  - eCom for eCommerce\n  - CNP for Card not present redemption\n  \n","enum":["CWS","POS","CNP","ECOM"]},"Channel":{"type":"object","description":"Channel code","required":["channelCode"],"properties":{"channelCode":{"$ref":"#/definitions/ChannelCode"}}},"Attribute":{"type":"object","description":"Attribute details","required":["attributeCode","attributeValues"],"properties":{"attributeCode":{"type":"string","format":"alphanumeric","description":"Attribute code","maxLength":20},"attributeValues":{"type":"array","description":"List of attribute values","items":{"type":"string","description":"Attribute value","minLength":1,"maxLength":100}}}},"OfferDetails":{"type":"object","description":"Offer details","required":["offerCode","offerType","offerNature","poolName","debitQuantity","ExtraCost","isStockManagementEligible","startDate","endDate","categories","channels","offerDescriptionLocalizations"],"properties":{"reference":{"type":"integer","format":"int32","description":"Offer reference\nNot used in the creation/modification of an offer.\nReturned when getting information on offer\n","maxLength":35},"offerCode":{"type":"string","format":"alphanumeric","description":"Offer code","minLength":1,"maxLength":20},"offerType":{"type":"string","description":"Offer type\n\nPossible values:\n  - Voucher\n","enum":["Voucher"]},"offerNature":{"type":"string","description":"Offer nature\n\nPossible values:\n  - Monetary\n  - Non-Monetary\n","enum":["Monetary","Non-Monetary"]},"poolName":{"type":"string","description":"Name of the pool associated to the offer for the redemption\n","minLength":1,"maxLength":20},"debitQuantity":{"type":"number","format":"float for monetary value or integer for non-monetary value","description":"Current quantity of pool units to be redeemed to get the offer\n"},"usualDebitQuantity":{"type":"number","format":"float for monetary value or integer for non-monetary value","description":"Usual quantity of pool units to be redeemed to get the offer\n"},"monetaryValue":{"type":"number","format":"float","description":"Monetary value of the offer\n"},"monetaryValueType":{"type":"string","description":"Offer monetary value type\n\nPossible values:\n  - Fixed\n  - Percentage\n","enum":["Fixed","Percentage"]},"monetaryValuePercentageTypeMaximumCap":{"type":"number","format":"float","description":"Maximum monetary value of the offer when this one is a monetary voucher\nwith a percentage value.\n"},"extraCost":{"type":"number","format":"float","description":"Amount to add to Payment to get the promotion  (Promotion offer only)\n"},"isStockManagementEligible":{"type":"integer","format":"int32","description":"Flag indicating if an offer is eleigible for stock management.\n\nPossible values:\n  - 0 - Not eligible\n  - 1 - Eligible\n","enum":[0,1]},"stockQuantity":{"type":"integer","format":"int32","description":"Offer stock quantity\n"},"stockQuantityAlert":{"type":"integer","format":"int32","description":"Offer stock quantity alert. Threshold when an alert is thrown\n"},"startDate":{"type":"string","format":"Date - ISO8601 - YYYYMMDD format","description":"Offer validity - Date when the offer is available\n"},"endDate":{"type":"string","format":"Date - ISO8601 - YYYYMMDD format","description":"Offer validity - Date when the offer is no more available.\n"},"redemptionExpiryDate":{"type":"string","format":"Date - ISO8601 - YYYYMMDD format","description":"Redemption expiry date of the voucher associated to an offer\n"},"status":{"type":"string","description":"Offer status. Only present in response.\n\nPossibel values:\n  - Active\n  - Disable\n  - Expired\n","enum":["Active","Disable","Expired"]},"categories":{"type":"array","description":"List of offer category codes associated to the offer\n","items":{"$ref":"#/definitions/CategoryCode"}},"channels":{"type":"array","description":"List of channels associated to the offer\n","items":{"$ref":"#/definitions/Channel"}},"segmentationAttributes":{"type":"array","description":"List of attributes composing the offer segmentation\n","items":{"$ref":"#/definitions/Attribute"}},"offerDescriptionLocalizations":{"type":"array","description":"List of offer descriptions in multi-language\n","items":{"$ref":"#/definitions/OfferDescriptionLocalization"}},"createDateTime":{"type":"string","format":"date-time - ISO8601 - YYYYMMDDHHMMSS format","description":"Offer creation timestamp. Only present in response.\n"},"lastUpdatedDateTime":{"type":"string","format":"date-time - ISO8601 - YYYYMMDDHHMMSS format","description":"Last offer modification timestamp. Only present in response.\n"}},"example":{"offerCode":"OFF0000123","offerType":"Voucher","offerNature":"Monetary","poolName":"REWARD3D","debitQuantity":10000,"usualDebitQuantity":12000,"monetaryValue":10.0,"monetaryValueType":"Percentage","monetaryValuePercentageTypeMaximumCap":15.0,"extraCost":0.0,"isStockManagementEligible":1,"stockQuantity":50,"stockAlertQuantity":10,"startDate":20170901,"endDate":20171201,"redemptionExpiryDate":20171231,"status":"Active","categories":[{"categoryCode":1000000001}],"channels":[{"channelCode":"CWS"},{"channelCode":"POS"}],"segmentationAttributes":[{"AttributeCode":"MLP00004","AttributeValues":[{"attributeValue":1}]}],"offerDescriptionLocalizations":[{"localCode":"en_GB","offerName":"Old Navy - 10% OFF Voucher","shortDescription":"Autumn celebration - 10% OFF\n","longDescription":"Enjoy 10% OFF in all Old Navy stores for Autumn celebration\n","termsAndConditions":"Prices are subject to change at anytime, except with respect to orders which\nhave been accepted by Seller and outstanding quoted prices which shall\nbe valid for the longer of 10 days or the period specified with the quote.\n","extraData":{"imagePath1":"https://AlphabankMarketingAgency/img/offers/offer00001.png","imagePath2":"https://AlphabankMarketingAgency/img/offers/offer00002.png","imagePath3":"https://AlphabankMarketingAgency/img/offers/offer00003.png","imagePath4":"https://AlphabankMarketingAgency/img/offers/offer00004.png","imagePath5":"https://AlphabankMarketingAgency/img/offers/offer00005.png","imagePath6":"https://AlphabankMarketingAgency/img/offers/offer00006.png","imagePath7":"https://AlphabankMarketingAgency/img/offers/offer00007.png","imagePath8":"https://AlphabankMarketingAgency/img/offers/offer00008.png","imagePath9":"https://AlphabankMarketingAgency/img/offers/offer00009.png"}},{"localCode":"el_GR","offerName":"Old Navy - 10% OFF Voucher","shortDescription":"Fête de l'Automne - 10% OFF\n","longDescription":"Profiter de 10% de remise dans tous les magasins Old Navy pour fêter\nl'Automne\n","termsAndConditions":"Les prix indiqués peuvent changer à tout moment, à l'exception de ceux\ndes commandes acceptées par le vendeur.\n","extraData":{"imagePath1":"https://AlphabankMarketingAgency/img/offers/offer00001.png","imagePath2":"https://AlphabankMarketingAgency/img/offers/offer00002.png","imagePath3":"https://AlphabankMarketingAgency/img/offers/offer00003.png","imagePath4":"https://AlphabankMarketingAgency/img/offers/offer00004.png","imagePath5":"https://AlphabankMarketingAgency/img/offers/offer00005.png","imagePath6":"https://AlphabankMarketingAgency/img/offers/offer00006.png","imagePath7":"https://AlphabankMarketingAgency/img/offers/offer00007.png","imagePath8":"https://AlphabankMarketingAgency/img/offers/offer00008.png","imagePath9":"https://AlphabankMarketingAgency/img/offers/offer00009.png"}}],"createDateTime":20171231120500,"lastUpdateDate":20180108133104}},"OfferDescriptionLocalization":{"type":"object","description":"Offer description in specific language","required":["localCode","offerName","shortDescription","longDescription","termsAndConditions"],"properties":{"localCode":{"type":"string","description":"Local code is composed by the language code in ISO639-1 code and the\ncountry code in ISO 3166-1 alpha-2 in the following format:\n  [language_code]_[country_code]\n","minLength":5,"maxLength":5},"offerName":{"type":"string","description":"Offer name","minLength":1,"maxLength":24},"shortDescription":{"type":"string","description":"Offer short description","minLength":1,"maxLength":400},"longDescription":{"type":"string","description":"Offer long description","minLength":1,"maxLength":4000},"termsAndConditions":{"type":"string","description":"Offer terms and conditions","maxLength":4000},"extraData":{"type":"string","format":"alphanumeric","description":"List of image URL","maxLength":2083}},"example":{"localCode":"en_GB","shortDescription":"Autumn celebration - 10% OFF\n","longDescription":"Enjoy 10% OFF in all Old Navy stores for Autumn celebration\n","termsAndConditions":"Prices are subject to change at anytime, except with respect to orders which\nhave been accepted by Seller and outstanding quoted prices which shall\nbe valid for the longer of 10 days or the period specified with the quote.\n","extraData":{"imagePath1":"https://AlphabankMarketingAgency/img/offers/offer00001.png","imagePath2":"https://AlphabankMarketingAgency/img/offers/offer00002.png","imagePath3":"https://AlphabankMarketingAgency/img/offers/offer00003.png","imagePath4":"https://AlphabankMarketingAgency/img/offers/offer00004.png","imagePath5":"https://AlphabankMarketingAgency/img/offers/offer00005.png","imagePath6":"https://AlphabankMarketingAgency/img/offers/offer00006.png","imagePath7":"https://AlphabankMarketingAgency/img/offers/offer00007.png","imagePath8":"https://AlphabankMarketingAgency/img/offers/offer00008.png","imagePath9":"https://AlphabankMarketingAgency/img/offers/offer00009.png"}}},"BusinessErrorResponse":{"description":"Array of application business error information.\nThis error block is always & only available for HTTP error code 422 - Unprocessable Entity\n","type":"array","items":{"$ref":"#/definitions/BusinessErrorObject"}},"BusinessErrorObject":{"type":"object","required":["fieldName","originalValue","errorCode","errorMessage","helpUrl"],"description":"Application business error information.","properties":{"fieldName":{"description":"Application business error field name","type":"string","minLength":1,"maxLength":100},"originalValue":{"description":"Application business error field value which is the source of this business error. This information is genearlly available, except in the case of sensitive information.","type":"string","minLength":1,"maxLength":500},"errorCode":{"type":"string","description":"Application business error code","minLength":1,"maxLength":50},"errorMessage":{"type":"string","description":"Application business error message","minLength":1,"maxLength":500},"helpUrl":{"type":"string","format":"string - url","description":"Application business error details url. Format - {Base URL of the document location}/{version}/errors/{resource-opeartion}-{resource-name}-{fieldName}-{errorCode}","minLength":1,"maxLength":2083}},"example":{"fieldName":"name","originalValue":"","errorCode":"MISSING_FIELD_VALUE","errorMessage":"Name is required","helpUrl":"http://192.168.77.71:8889/v1/errors/GET-merchant-name-MISSING_FIELD_VALUE"}}}}